Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.gmt.modisco.infra.query.impl
Class JavaModelQueryImpl

    java.lang.Object
      EObjectImpl
          org.eclipse.gmt.modisco.infra.query.impl.ModelQueryImpl
              org.eclipse.gmt.modisco.infra.query.impl.JavaModelQueryImpl

All Implemented Interfaces:
  JavaModelQuery, ModelQuery

    public class JavaModelQueryImpl

extends ModelQueryImpl
implements JavaModelQuery

An implementation of the model object 'Java Model Query'.

The following features are implemented:

- `Implementation Class Name`

Method Summary
`java.lang.Object` | `eGet(int featureID, boolean resolve, boolean coreType)`
`boolean` | `eIsSet(int featureID)`
`void` | `eSet(int featureID, java.lang.Object newValue)`
`void` | `eUnset(int featureID)`
`java.lang.String` | `getImplementationClassName()`
`void` | `setImplementationClassName(java.lang.String newImplementationClassName)`
`java.lang.String` | `toString()`

Methods inherited from class org.eclipse.gmt.modisco.infra.query.impl.ModelQueryImpl
`basicGetReturnType, basicSetModelQuerySet, eBasicRemoveFromContainerFeature, eInverseAdd, eInverseRemove, getDescription, getLowerBound, getModelQuerySet, getName, getParameters, getReturnType, getScope, getUpperBound, isIsExternalContextDependent, setDescription, setIsExternalContextDependent, setLowerBound, setModelQuerySet, setName, setReturnType, setUpperBound`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.gmt.modisco.infra.query.ModelQuery
`getDescription, getLowerBound, getModelQuerySet, getName, getParameters, getReturnType, getScope, getUpperBound, isIsExternalContextDependent, setDescription, setIsExternalContextDependent, setLowerBound, setModelQuerySet, setName, setReturnType, setUpperBound`

Method Detail

### getImplementationClassName

    public java.lang.String getImplementationClassName()

  Specified by:
    `getImplementationClassName` in interface `JavaModelQuery`
  Returns:
    the value of the 'Implementation Class Name' attribute.
  See Also:
    `JavaModelQuery.setImplementationClassName(String)`, `QueryPackage.getJavaModelQuery_ImplementationClassName()`

### setImplementationClassName

    public void setImplementationClassName(java.lang.String newImplementationClassName)

  Specified by:
    `setImplementationClassName` in interface `JavaModelQuery`
  Parameters:
    `newImplementationClassName` - the new value of the 'Implementation Class Name' attribute.
  See Also:
    `JavaModelQuery.getImplementationClassName()`

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Overrides:
    `eGet` in class `ModelQueryImpl`

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Overrides:
    `eSet` in class `ModelQueryImpl`

### eUnset

    public void eUnset(int featureID)

  Overrides:
    `eUnset` in class `ModelQueryImpl`

### eIsSet

    public boolean eIsSet(int featureID)

  Overrides:
    `eIsSet` in class `ModelQueryImpl`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `ModelQueryImpl`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD